@echo off
SET ori_path=%cd%
CD ..\..\base\swf
SET sources_path=%cd%
CD %ori_path%
:: sources_path permet d'inclure le répertoire CTI qui contient les composants maison
SET OPTS=-use-network=false -optimize=true -debug=false -source-path="%sources_path%"

FOR /r . %%F IN (*.mxml) DO ( 
	IF EXIST "%%~nF.mxml" echo %%~nF.mxml
	IF EXIST "%%~nF.mxml" C:\flex_sdk_350\bin\mxmlc.exe %OPTS% .\%%~nF.mxml -output ..\..\..\%%~nF.swf
)
